local self_ID = "MiG-25PD"
declare_plugin(self_ID,
{
installed 	 = true, -- if false that will be place holder , or advertising
dirName	  	 = current_mod_path,

displayName  = _("MiG-25PD"),
fileMenuName = _("MiG-25PD"),
version		 = "2.5.16",
state		 = "installed",
info		 = _("MiG-25PD Foxbat. Edited by Robert."),





InputProfiles =
{
    ["mig-25p"] = current_mod_path .. '/Input/MiG-25PD',
},




Skins	=
	{
		{
			name	= _("MiG-25PD"),
			dir		= "Theme"
		},
	},
	
Missions =
	{
		{
			name		    = _("MiG-25PD"),
			dir			    = "Missions",
            training_ids    = {EN = 'MiG-25PD_video_EN', RU = 'MiG-25PD_video_RU',},
		},
	},		
Options = 
	{
		{
			name		= _("MiG-25PD"),
			nameId		= "MiG-25PD",
			dir			= "Options",
		},
	},
LogBook =
	{
		{
			name		= _("MiG-25PD"),
			type		= "MiG-25PD",
		},
	},		
})
----------------------------------------------------------------------------------------
mount_vfs_liveries_path(current_mod_path ..  "/Liveries")
mount_vfs_model_path   (current_mod_path ..  "/Cockpit/Shape")
mount_vfs_texture_path (current_mod_path ..  "/Theme/ME")--for simulator loading window
mount_vfs_texture_path (current_mod_path ..  "/Cockpit/Textures/MiG-25PD-CPT-TEXTURES")
mount_vfs_sound_path   (current_mod_path ..  "/Sounds")
mount_vfs_model_path   (current_mod_path ..  "/Shapes")

local support_cockpit = current_mod_path..'/Cockpit/Scripts/'

----------------------------------------------------------------------------------------
make_flyable('MiG-25PD', support_cockpit, {nil, old = 3}, current_mod_path..'/comm.lua')
----------------------------------------------------------------------------------------
dofile(current_mod_path.."/Scripts/Weapons.lua")--Calling Weapon Types
dofile(current_mod_path.."/Views.lua") --View Settings.

make_view_settings('MiG-25PD', ViewSettings, SnapViews) 

plugin_done()
